## sidekick
Interface IAsset

All Known Implementing Classes:
  Asset

public interface IAsset

A block of code within a file. Assets correspond to nodes in the Structure Browser and folds in the SideKick folding mode.

Method Summary
`Position` `getEnd()` Returns the end position.
`Icon` `getIcon()` Returns the icon to be shown for the asset in the structure tree.
`String` `getLongString()` Returns a full description of the asset to be shown in the view's status bar on when the mouse is over the asset in the tree.
`String` `getName()` Returns the name of the Asset.
`String` `getShortString()` Returns a brief description of the asset to be shown in the tree.
`Position` `getStart()` Returns the starting position.
`void` `setEnd(Position end)` Set the end position
`void` `setName(String name)` Set the name of the asset
`void` `setStart(Position start)` Set the start position

Method Detail

### getIcon

    public Icon getIcon()

  Returns the icon to be shown for the asset in the structure tree.

### getShortString

    public String getShortString()

  Returns a brief description of the asset to be shown in the tree. This string is displayed in the jEdit status bar and optionally in a tool tip (if the user has the 'show tool tips' option turned on).

### getLongString

    public String getLongString()

  Returns a full description of the asset to be shown in the view's status bar on when the mouse is over the asset in the tree. Only the first line of this message will be shown in the status bar. The full text will be displayed in the built-in status window (if the user has the 'show status window' option turned on).

### getName

    public String getName()

  Returns the name of the Asset.

### setName

    public void setName(String name)

  Set the name of the asset

### setStart

    public void setStart(Position start)

  Set the start position

### getStart

    public Position getStart()

  Returns the starting position.

### setEnd

    public void setEnd(Position end)

  Set the end position

### getEnd

    public Position getEnd()

  Returns the end position.